Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Recursive_Thread_Mutex.cpp File Reference

`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Log_Msg.h"`

Include dependency graph for Recursive_Thread_Mutex.cpp:

This graph shows which files directly or indirectly include this file:

## Functions
const char * | get_rcsid_ace_Recursive_Thread_Mutex (const char *)
## Variables
const char * | rcsid_ace_Recursive_Thread_Mutex = get_rcsid_ace_Recursive_Thread_Mutex ( rcsid_ace_Recursive_Thread_Mutex )

## Detailed Description

Id:
  Recursive_Thread_Mutex.cpp,v 4.2 2003/11/01 11:15:16 dhinton Exp

Originally in Synch.cpp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Function Documentation

const char* get_rcsid_ace_Recursive_Thread_Mutex | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Recursive_Thread_Mutex = get_rcsid_ace_Recursive_Thread_Mutex ( rcsid_ace_Recursive_Thread_Mutex )`[static]`